Cgl 0.59.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
CglFlowVUB Class Reference

Variable upper bound class. More...

`#include <CglFlowCover.hpp>`

## Public Member Functions
| CglFlowVUB ()
| The Value of the associated upper bound. More...
| CglFlowVUB (const CglFlowVUB &source)
CglFlowVUB & | operator= (const CglFlowVUB &rhs)
Query and set functions for associated 0-1 variable index
and value.
int | getVar () const
double | getVal () const
void | setVar (const int v)
void | setVal (const double v)

## Protected Attributes
int | varInd_
double | upper_
| The index of the associated 0-1 variable. More...

## Detailed Description

Variable upper bound class.

Definition at line 102 of file CglFlowCover.hpp.

## Constructor & Destructor Documentation

CglFlowVUB::CglFlowVUB | ( |  | ) |
| inline

The Value of the associated upper bound.

Definition at line 109 of file CglFlowCover.hpp.

CglFlowVUB::CglFlowVUB | ( | const CglFlowVUB & | source | ) |
| inline

Definition at line 111 of file CglFlowCover.hpp.

## Member Function Documentation

CglFlowVUB& CglFlowVUB::operator= | ( | const CglFlowVUB & | rhs | ) |
| inline

Definition at line 116 of file CglFlowCover.hpp.

int CglFlowVUB::getVar | ( |  | ) | const
| inline

Definition at line 128 of file CglFlowCover.hpp.

double CglFlowVUB::getVal | ( |  | ) | const
| inline

Definition at line 129 of file CglFlowCover.hpp.

void CglFlowVUB::setVar | ( | const int | v | ) |
| inline

Definition at line 130 of file CglFlowCover.hpp.

void CglFlowVUB::setVal | ( | const double | v | ) |
| inline

Definition at line 131 of file CglFlowCover.hpp.

## Member Data Documentation

int CglFlowVUB::varInd_
| protected

Definition at line 105 of file CglFlowCover.hpp.

double CglFlowVUB::upper_
| protected

The index of the associated 0-1 variable.

Definition at line 106 of file CglFlowCover.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cgl-0.59.7/Cgl/src/CglFlowCover/CglFlowCover.hpp